﻿using System.Collections.Generic;
using System.ServiceModel;
using System.ServiceModel.Web;
using WcfService.Model;
using System.ServiceModel.Activation;

namespace WcfService
{
    [ServiceContract]
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Required)]
    public class Awb
    {
        private static IList<AwbModel> awbs = new List<AwbModel>(){
            new AwbModel(){ AwbPre="112",AwbNo="12312311",OriginAirport="PEK",DestAirport="XIY"},
            new AwbModel(){ AwbPre="999",AwbNo="80080011",OriginAirport="SHA",DestAirport="WNZ"}
        };


        [OperationContract]
        [WebInvoke(Method = "GET", UriTemplate = "all", ResponseFormat = WebMessageFormat.Json, BodyStyle = WebMessageBodyStyle.Bare)]
        public IEnumerable<AwbModel> GetAllAwb()
        {
            return awbs;
        }

        [OperationContract]
        [WebInvoke(Method = "POST",RequestFormat = WebMessageFormat.Json,
        ResponseFormat = WebMessageFormat.Json, BodyStyle = WebMessageBodyStyle.Bare)]
        public bool add(AwbModel model)
        {
            awbs.Add(model);
            return true;
        }
    }
}
